/*
	CSS Syntax:

	selector {
		property: value;
	}

	selector - determines which element will be the styling applied.

	property - selected wtyling attribute to be modified.

	value - the modified value of the selected styling.

*/

/*
	Type Selector
		- targets elements with the specified type/tag name.
*/
h1 {
	
	color:black !important;
	text-align: center;
	font-size: 2rem;
}

/* using the "!important" property overrides the CSS Specificity Rule/*
    SELECTOR:
    - ID selector (Highest)
    - Class selector
    - Attribute selector
    - Type selector
    - Universal selector (Lowest)

    INCLUDING CSS
    - Inline Styling (Highest)
    - Internal Styling
    - External Styling (Lowest)
*/

/*
	Universal Selector (*)
		-targets all the elements
*/

*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	ID Selector (#id)
		-targets elements according to its id.
		-ideal for targeting unique element.

*/
#zuitt-motto{
	Letter-spacing: 5px;
}

/*
	Class Selector (.class-name)
		-targets elements according to the class attribute.
		-ideally used for targeting multiple elements at once.
*/

.offering-item{
	/* changes the text casing	*/
	text-transform: uppercase;
}

/*
	Attribute Selector ([attribute] or tagname[attribute] or tagname [attribute="value"])
		-target elements with a specified element attribute
*/

input[required]{
	width: 90%;
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*
    SELECTOR:
    - ID selector (Highest)
    - Class selector
    - Attribute selector
    - Type selector
    - Universal selector (Lowest)

    INCLUDING CSS
    - Inline Styling (Highest)
    - Internal Styling
    - External Styling (Lowest)
*/

/*CSS Selector Combinators*/

/*
	Adjacent Sibling Selector (+)	
	- select the sibling element that is directly after another specified elements
*/

h3 + img{
	height:	300px;
	width: 300px;
	border-radius: 150px;
}

/*
	Descendant Selector (Whitespace)
	-matches all elements that are descendants of a specified element.

*/

#bootcamp-learning-list li{
	color: #075966;
}

/*
	General Sibling Selector (~)
	-select all elements that are next sibling of a specified element.
*/

h2 ~ a{
	text-decoration: none;
}

/*
	Child Selector (>)
	-select all elements that are direct children of a specified element.
*/

section > form > label{
	color:	rgb(0,0,128);
}

/*Added styling*/

body{
	background-color: skyblue;
}

html{
	scroll-behavior: smooth;
}
/*nav bar*/
nav{
	background-color: white;
}

/*
	selector:hover
	- psuedo class
	changes the style when hovered over.
*/
a:hover {
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

section{
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{

	list-style-type: none;
}

/*register section*/
form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button{
	background-color: #cf0053;
	color: white;
	border:	0;
	border-radius: 15px;
}